WordPress 3.5 upgrade issue

My client, for whom I had designed the website http://www.mywherecanifind.com did an update of WordPress core to 3.5. The site had the Q&A plugin and buddypress 1.5 (if i am not wrong). Now, I cannot access the wp-admin and also cannot login. I understand that I have to upgrade the buddypress to 1.6.2 and then upgrade to 3.5, but how do we solve the issue now.

Please help!

The website is http://www.mywherecanifind.com